Bug 330661 - Review Request: syncevolution -- SyncML client for evolution
Review Request: syncevolution -- SyncML client for evolution
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-13 10:28 EDT by Matěj Cepl
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-15 12:57:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
SPEC file (1.24 KB, text/plain)
2007-10-13 10:28 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2007-10-13 10:28:17 EDT
Spec URL: attached
SRPM URL: http://koji.fedoraproject.org/scratch/mcepl/task_193178/syncevolution-0.6-1.src.rpm
Description:
syncevolution is designed to provide a SyncML client that can
connect to and sync with various SyncML-based servers
Comment 1 Matěj Cepl 2007-10-13 10:28:55 EDT
Created attachment 226431 [details]
SPEC file
Comment 2 Matěj Cepl 2007-10-13 10:35:59 EDT
Forget it, this is better:

Spec URL: http://mcepl.fedorapeople.org/rpms/syncevolution.spec
SRPM URL: http://mcepl.fedorapeople.org/rpms/syncevolution-0.6-1.src.rpm
Comment 3 Parag AN(पराग) 2007-10-14 00:59:56 EDT
1) Do you like to prefer to use disttag?
2) good to have defattr usage as defattr(-, root, root, -)

mock build went fine for i386
Comment 4 Parag AN(पराग) 2007-10-14 01:07:28 EDT
your SOURCE URL should be
http://downloads.sourceforge.net/sync4jevolution/%{name}-%{version}.tar.gz
Comment 5 Matěj Cepl 2007-10-14 09:55:39 EDT
Updated src.rpm is at
http://mcepl.fedorapeople.org/rpms/syncevolution-0.6-2.fc8.src.rpm (SPEC file is
at the same place). Package was fully build on all four platforms in koji
(http://koji.fedoraproject.org/koji/taskinfo?taskID=194312).
Comment 6 Matěj Cepl 2007-10-14 10:14:34 EDT
Just change of the koji URL -- it is
http://koji.fedoraproject.org/koji/taskinfo?taskID=194329
Comment 7 Parag AN(पराग) 2007-10-14 23:58:39 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM but NOT for RPM.
  syncevolution.i386: W: incoherent-version-in-changelog 0.6-1 0.6-2.fc8
  => Add correct version as 0.6-2.fc8 while importing package in CVS.
+ source files match upstream.
ad208478fa8d3ef05f89295e8f71b0f8  syncevolution-0.6.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is small so no need of -doc subpackage.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no static libraries.
+ no .pc files are present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Package syncevolution-0.6-2.fc8 ->
  Requires: /usr/bin/perl curl evolution libORBit-2.so.0 libbonobo-2.so.0
libbonobo-activation.so.4 libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4)
libcppunit-1.12.so.0 libcurl.so.4 libdl.so.2 libebook-1.2.so.9 libecal-1.2.so.7
libedataserver-1.2.so.9 libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libgconf-2.so.4
libglib-2.0.so.0 libgmodule-2.0.so.0 libgnome-2.so.0 libgobject-2.0.so.0
libgthread-2.0.so.0 libm.so.6 libpopt.so.0 libpthread.so.0
libpthread.so.0(GLIBC_2.0) librt.so.1 libstdc++.so.6 libstdc++.so.6(CXXABI_1.3)
libstdc++.so.6(GLIBCXX_3.4) libxml2.so.2 perl(encoding) perl(integer)
perl(strict) rtld(GNU_HASH)
+ Not a GUI app.

  SHOULD:
     Check with upstream for "make check" step.

APPROVED.

Comment 8 Matěj Cepl 2007-10-15 06:11:53 EDT
New Package CVS Request
=======================
Package Name: syncevolution
Short Description: SyncML client for evolution
Owners: mcepl
Branches: F-7
InitialCC: 
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2007-10-15 11:44:29 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.